=== vendor/github.com/elastic/beats/filebeat/Makefile ===
#!/bin/bash

BEATNAME?=filebeat
BEAT_DESCRIPTION?=Filebeat sends log files to Logstash or directly to Elasticsearch.
SYSTEM_TESTS=true
TEST_ENVIRONMENT?=true
GOX_FLAGS='-arch=amd64 386 arm ppc64 ppc64le'

include ../libbeat/scripts/Makefile

# This is called by the beats packer before building starts
.PHONY: before-build
before-build:

# Collects all module dashboards
.PHONY: kibana
kibana:
	# To not remove index-pattern as generated by update
	-rm -r _meta/kibana/dashboard _meta/kibana/search _meta/kibana/visualization
	mkdir -p _meta/kibana
	-cp -r module/*/_meta/kibana _meta/

# Collects all module and dataset fields
.PHONY: fields
fields:
	mkdir -p _meta/
	cat ${ES_BEATS}/filebeat/_meta/fields.common.yml > _meta/fields.generated.yml
	. ${PYTHON_ENV}/bin/activate; python ${ES_BEATS}/metricbeat/scripts/fields_collector.py >> _meta/fields.generated.yml


# Runs all collection steps and updates afterwards
.PHONY: collect
collect:
	# dummy implementation to avoid adding the modules until released
	mkdir -p _meta/
	cat ${ES_BEATS}/filebeat/_meta/fields.common.yml > _meta/fields.generated.yml


# Creates a new fileset. Requires the params MODULE and FILESET
.PHONY: create-fileset
create-fileset: python-env
	. ${PYTHON_ENV}/bin/activate; python ${ES_BEATS}/filebeat/scripts/create_fileset.py --path=$(PWD) --es_beats=$(ES_BEATS) --module=$(MODULE) --fileset=$(FILESET)
