=== vendor/github.com/elastic/beats/packetbeat/debian/changelog ===
packetbeat (1.0.0~beta2) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Tue, 30 Jun 2015 20:12:00 +0100

packetbeat (1.0.0~Beta1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Tue, 04 May 2015 11:24:00 +0100

packetbeat (0.5.0-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Tue, 20 Mar 2015 15:08:00 +0100

packetbeat (0.4.3-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Tue, 27 Jan 2015 15:08:00 +0100

packetbeat (0.4.2-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Wed, 8 Dec 2014 10:42:00 +0100

packetbeat (0.4.1-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Wed, 23 Nov 2014 21:16:00 +0100

packetbeat (0.4.0-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Wed, 05 Nov 2014 19:37:00 +0100

packetbeat (0.3.3-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 14 Sep 2014 16:46:00 +0100

packetbeat (0.3.2-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 06 Aug 2014 20:46:00 +0100

packetbeat (0.3.1-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 17 Jun 2014 13:33:00 +0100

packetbeat (0.3.0-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 17 Jun 2014 13:33:00 +0100

packetbeat (0.2.2-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 17 Jun 2014 13:33:00 +0100

packetbeat (0.2.1-1) unstable; urgency=low

    * New version.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 01 Jun 2014 13:17:00 +0100

packetbeat (0.2.0-4) unstable; urgency=low

    * New build.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 01 Jun 2014 13:17:00 +0100

packetbeat (0.2.0-3) unstable; urgency=low

    * New build.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 29 May 2014 12:22:00 +0100

packetbeat (0.2.0-2) unstable; urgency=low

    * New build.

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 27 May 2014 23:16:00 +0100

packetbeat (0.2.0-1) unstable; urgency=low

    * Updated to version 0.2.0

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 21 May 2014 19:23:00 +0100

packetbeat (0.1.1-1) unstable; urgency=low

    * Updated to version 0.1.1

 -- Monica Sarbu <monica@packetbeat.com>  Sat, 10 May 2014 01:05:00 +0100

packetbeat (0.1.0-1) unstable; urgency=low

    * First version

 -- Monica Sarbu <monica@packetbeat.com>  Sun, 06 Apr 2014 00:12:00 +0100
