=== vendor/github.com/elastic/beats/packetbeat/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	go test -short

override_dh_installinit:
	dh_installinit --no-start
